POST api/batchapi/add/begindryingstep
Request Information
URI Parameters
None.
Body Parameters
BatchMedistreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
Required |
|
| medistream_id | globally unique identifier |
Required |
|
| witness_id | globally unique identifier |
Required |
|
| compartment | integer |
Required |
|
| temp_max | decimal number |
None. |
|
| start_time | date |
None. |
|
| stop_time | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "39550eb5-4015-445e-8515-ed1ab68548e6",
"batch_id": "87ed02da-b1f8-4386-8187-2160b4e6e9ef",
"medistream_id": "9d5f9722-1175-4b2d-b5df-789169976f64",
"witness_id": "5c5512b1-5838-4808-8d21-26830b2ccb4a",
"compartment": 1,
"temp_max": 1.1,
"start_time": "2026-06-09T05:32:39.0011548+00:00",
"stop_time": "2026-06-09T05:32:39.0011548+00:00"
}
application/xml, text/xml
Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>87ed02da-b1f8-4386-8187-2160b4e6e9ef</batch_id> <compartment>1</compartment> <id>39550eb5-4015-445e-8515-ed1ab68548e6</id> <medistream_id>9d5f9722-1175-4b2d-b5df-789169976f64</medistream_id> <start_time>2026-06-09T05:32:39.0011548+00:00</start_time> <stop_time>2026-06-09T05:32:39.0011548+00:00</stop_time> <temp_max>1.1</temp_max> <witness_id>5c5512b1-5838-4808-8d21-26830b2ccb4a</witness_id> </batch_medistream>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"c379f434-90b1-468f-a3a8-6cbf1b0e7df8"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">c379f434-90b1-468f-a3a8-6cbf1b0e7df8</guid>